## Apache Zeta Components Manual :: Docs For Class ezcGraphChartOptions

### Graph::ezcGraphChartOptions

### Class ezcGraphChartOptions

Class containing the basic options for charts.

1. $graph=new ezcGraphPieChart ();
2. $graph->palette=new ezcGraphPaletteEzBlue ();
3. $graph->title='Access statistics';
5. // Global font options
6. $graph->options->font->name='serif';
8. // Special font options for sub elements
9. $graph->title->background='#EEEEEC';
10. $graph->title->font->name='sans-serif';
12. $graph->options->font->maxFontSize=8;
14. $graph->data['Access statistics']=new ezcGraphArrayDataSet (array(
15. 'Mozilla'=>19113,
16. 'Explorer'=>10917,
17. 'Opera'=>1464,
18. 'Safari'=>652,
19. 'Konqueror'=>474,
20. ) );
22. $graph->render(400,150,'tutorial_chart_title.svg');

Source for this file: /Graph/src/options/chart.php

    ezcBaseOptions
       |
       --ezcGraphChartOptions

Version: | //autogentag//

### Descendants

Child Class | Description
--- | ---
ezcGraphLineChartOptions | Class containing the basic options for line charts.
ezcGraphRendererOptions | Class containing the basic options for renderers.
ezcGraphPieChartOptions | Class containing the basic options for pie charts.
ezcGraphOdometerChartOptions | Class containing the options for odometer charts
ezcGraphRadarChartOptions | Class containing the basic options for radar charts.

### Properties

ezcGraphFontOptions | read/write | `$font` Font used in the graph.
int | read/write | `$height` Height of the chart.
int | read/write | `$width` Width of the chart.

### Inherited Member Variables

From ezcBaseOptions
protected | `ezcBaseOptions::$properties`

### Inherited Methods

From ezcBaseOptions
public ezcBaseOptions | `ezcBaseOptions::__construct()` Construct a new options object.
public void | `ezcBaseOptions::merge()` Merge an array into the actual options object.
public bool | `ezcBaseOptions::offsetExists()` Returns if an option exists.
public mixed | `ezcBaseOptions::offsetGet()` Returns an option value.
public void | `ezcBaseOptions::offsetSet()` Set an option.
public void | `ezcBaseOptions::offsetUnset()` Unset an option.

Documentation generated by phpDocumentor 1.4.3